#!@PYTHON@
# -*- coding: utf-8 -*-
#
#
# (c) 2014  Brian M. Ames <bmames@apk.net>

__all__ = ['module_sources']

#===============================================================================
class ModuleSource(object):
	def __init__(self,index,sdesc,ldesc=None):
		self.index = index
		self.short_desc = sdesc
		self.long_desc = sdesc if ldesc is None else ldesc

module_sources = (
		ModuleSource( 0,'Off'),
		ModuleSource( 1,'Gate1'),
		ModuleSource( 2,'Gate1 + Dmpr','Gate1 + Damper'),
		ModuleSource( 3,'Gate2'),
		ModuleSource( 4,'Gate2 + Dmpr','Gate2 + Damper'),
		ModuleSource( 5,'Note Number'),
		ModuleSource( 6,'Velocity'),
		ModuleSource( 7,'Exp Velocity'),
		ModuleSource( 8,'After Touch'),
		ModuleSource( 9,'JS X','Joy Stick X'),
		ModuleSource(10,'JS+Y: CC#01','Joy Stick +Y: CC#01'),
		ModuleSource(11,'JS-Y: CC#02','Joy Stick -Y: CC#02'),
		ModuleSource(12,'Pedal CC#04','Foot Pedal: CC#04'),
		ModuleSource(13,'FXCtrl1: #12','FX Control1: CC#12'),
		ModuleSource(14,'FXCtrl2: #13','FX Control2: CC#13'),
		ModuleSource(15,'Ribbon: # 16','Ribbon: CC#16'),
		ModuleSource(16,'ValSldr: #18','Value Slider: CC#18'),
		ModuleSource(17,'KnobM1: #17','Knob Modulation1: CC#17'),
		ModuleSource(18,'KnobM2: #19','Knob Modulation2: CC#19'),
		ModuleSource(19,'KnobM3: #20','Knob Modulation3: CC#20'),
		ModuleSource(20,'KnobM4: #21','Knob Modulation4: CC#21'),
		ModuleSource(21,'KnobM1[+]:','Knob Modulation1 [+]'),
		ModuleSource(22,'KnobM2[+]:','Knob Modulation2 [+]'),
		ModuleSource(23,'KnobM3[+]:','Knob Modulation3 [+]'),
		ModuleSource(24,'KnobM4[+]:','Knob Modulation4 [+]'),
		ModuleSource(25,'Damper: #64',' Damper: CC#64'),
		ModuleSource(26,'Prta.SW: #65','Portamento Switch: CC#65'),
		ModuleSource(27,'Sostenu: #66','Sostenuto: CC#66'),
		ModuleSource(28,'Soft #67','Soft: CC#67'),
		ModuleSource(29,'SW 1: CC#80','SW1 Mod.: CC#80'),
		ModuleSource(30,'SW 2: CC#81','SW2 Mod.: CC#81'),
		ModuleSource(31,'Foot SW: #82','Foot Switch: CC#82'),
		ModuleSource(32,'MIDI: CC#83'),
		ModuleSource(33,'MIDI: CC#85'),
		ModuleSource(34,'MIDI: CC#86'),
		ModuleSource(35,'MIDI: CC#87'),
		ModuleSource(36,'MIDI: CC#88'),
		ModuleSource(37,'Tempo'),
)

